Bug 481343 - Unable to complete install: 'Broken pipe'
Unable to complete install: 'Broken pipe'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 11:34 EST by eric@christensenplace.us
Modified: 2009-11-18 08:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:53:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log (18.45 KB, text/plain)
2009-03-26 12:26 EDT, eric@christensenplace.us
no flags Details

  None (edit)
Description eric@christensenplace.us 2009-01-23 11:34:16 EST
Description of problem: Every time I try to create a F10 virtual machine I get a "Broken Pipe" error.


Version-Release number of selected component (if applicable): libvirt-0.5.1-2.fc10.x86_64


How reproducible: Always


Steps to Reproduce:
1. Use Virtual Machine Manager to create a VM.
2. Use F10 x86_64 DVD ISO for the install
3. Click finish
  
Actual results: Initially get an error saying it cannot open the ISO, then receive an error showing a broken pipe.


Expected results: The virtual machine is created.


Additional info:  The details in the error are:
Unable to complete install '<class 'libvirt.libvirtError'> Broken pipe
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 723, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 732, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 763, in _do_install
    install_xml = self.get_config_xml()
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 716, in get_config_xml
    "devices": self._get_device_xml(install), \
  File "/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py", line 306, in _get_device_xml
    Guest.Guest._get_device_xml(self, install)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 663, in _get_device_xml
    diskxml     = self._get_disk_xml(install)
  File "/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py", line 394, in _get_disk_xml
    ret += d.get_xml_config(d.target)
  File "/usr/lib/python2.5/site-packages/virtinst/VirtualDisk.py", line 510, in get_xml_config
    path = self.vol_object.path()
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 870, in path
    if ret is None: raise libvirtError ('virStorageVolGetPath() failed', vol=self)
libvirtError: Broken pipe
'
Comment 1 Cole Robinson 2009-01-23 13:07:29 EST
Hmm, looks like libvirtd is segfaulting. Can you try the following:

su - (to switch to root user)
service libvirtd stop
ulimit -c unlimited
yum --enablerepo=updates-debuginfo install libvirt-debuginfo
libvirtd

Now leave libvirtd running, and open up virt-manager like you normally would. Reproduce the 'Broken pipe' error. The terminal you ran libvirtd in should say

Segmentation fault (core dumped)

There should be a file in that directory called core.XXXX with X being some number. In that terminal, run:

gdb -c core.whatever-that-number-is

In gdb, type 'bt' and post the contents here.
Comment 2 Cole Robinson 2009-01-23 13:13:27 EST
Also, can you post ~/.virt-manager/virt-manager.log so we can see the parameters you are using to reproduce?

Also, what does 'virsh pool-list --all' give?
Comment 3 Cole Robinson 2009-02-16 09:32:13 EST
Ping on this, any additional info from the reporter? Are you still seeing this problem?
Comment 4 Gregory Lee Bartholomew 2009-02-25 10:51:55 EST
I received a similar error:

[root@webdav images]# virt-manager --no-fork
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 699, in finish
    self.connection.tick(noStatsUpdate=True)
  File "/usr/share/virt-manager/virtManager/connection.py", line 866, in tick
    self.hostinfo = self.vmm.getInfo()
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 1221, in getInfo
    if ret is None: raise libvirtError ('virNodeGetInfo() failed', conn=self)
libvirt.libvirtError: Broken pipe

When I restarted libvirtd, and re-ran the virt-manager, my virtual machine appeared in the list.  I deleted the virtual machine and performed the steps that you outlined in Comment #1 to file a detailed bug report, but it created the virtual machine without any errors that time.

Thanks,
gb
Comment 5 Daniel Berrange 2009-03-10 08:30:41 EDT
The 'broken pipe' shows that libvirtd daemon was segfaulting when doing this operation. I'm reasonably confident this problem will be fixed in 0.6.1 release now in F10 updates-testing, so will mark this MODIFIED. Please add more comments if this 0.6.1 release doesn't address it.
Comment 6 Fedora Update System 2009-03-11 13:58:56 EDT
libvirt-0.6.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2396
Comment 7 eric@christensenplace.us 2009-03-26 12:25:55 EDT
(In reply to comment #1)
> Hmm, looks like libvirtd is segfaulting. Can you try the following:
> 
> su - (to switch to root user)
> service libvirtd stop
> ulimit -c unlimited
> yum --enablerepo=updates-debuginfo install libvirt-debuginfo
> libvirtd
> 
> Now leave libvirtd running, and open up virt-manager like you normally would.
> Reproduce the 'Broken pipe' error. The terminal you ran libvirtd in should say
> 
> Segmentation fault (core dumped)
> 
> There should be a file in that directory called core.XXXX with X being some
> number. In that terminal, run:
> 
> gdb -c core.whatever-that-number-is
> 
> In gdb, type 'bt' and post the contents here.  

When I followed these steps I didn't get a "Segmentation fault (core dumped)".
Comment 8 eric@christensenplace.us 2009-03-26 12:26:37 EDT
Created attachment 336847 [details]
virt-manager.log
Comment 9 eric@christensenplace.us 2009-03-26 12:27:22 EDT
(In reply to comment #2)
> Also, can you post ~/.virt-manager/virt-manager.log so we can see the
> parameters you are using to reproduce?
> 
> Also, what does 'virsh pool-list --all' give?  

[root@thunder ~]# virsh pool-list --all
libvir: Remote error : unable to connect to '/var/run/libvirt/libvirt-sock': Connection refused
error: failed to connect to the hypervisor
Comment 10 Bug Zapper 2009-11-18 05:50:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Cole Robinson 2009-11-18 08:53:39 EST
libvirt-0.6.1 isn't pushed to stable, and is sitting in updates testing for F10. This bug won't be fixed in the stable f10 package, but is fixed in F11.

Moving to F11 and closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.